0

apache 1.3.x e apache 2 com php no windows .. um erói ou vilão? Boa ou má idéia?

criado por Marlon Brandão de Sousa em 18/02/2004 11:34pm
E uso este campo porque preciso de espaço para descrever a Faq .

Desinstalei o instalador .exe do php, mandei o iis pra fora e instalei, junto com a instalação .zip do php, o apache 1.3.28. Depois de configurar corretamente o php, começo a ler o manual. Lá diz que, nas versões 4.x os módulos sapi haviam evoluído e, portanto, era aconselhável seu uso. O manual do apache, por outro lado, dizia claramente que o desempenho e a vunerabilidade do apache for windows poderiam ser menores no referido sistema, aconselhando fortemente a instalação do apache 2. O manual do php, porém, diz que só algumas versões do php trabalham bem com esse server, voltando o impace. Então, eu que sou familiarizado com a programação server-cide há pouco tempo, resouvi fazer esta faq ... O q é melhor em windows? PHP 4 com iis? Com apache? Com apache2? Mas como módulo .. ou como executável cgi ... E quanto ao php5? Mas e se usarmos o módulo sapi do iis? Lendo e relendo o manual do php e apache, parece que todas as opções tem lados bons e ruins! Então resolvi escrever a faq a espera de que alguém mais experiente explique melhor esta dúvida, que deve atingir tantas outras pessoas.
Obrigado
Marlon

* E alguns irão acher que se trata, na verdade, de uma postagem de phorum no lugar errado. Decidi pela faz porque esta efetivamente pode ser uma dúvida de muitas pessoas, assunto largamente consultado e importante!

Lista de Respostas:

0
27/02/2004 12:19pm
(~12 anos atrás)
Bom,

sinceramente uma vez me falaram o seguinte:

"Apache não é desenhado para ter best-performance em windows"

e é a mais pura verdade, o ideal creio eu que seja usar as novas versões do PHP já com o Apache2 como módulo e não como CGI (se eu não me engano é esta a recomendação que está no manual do PHP, abordando para a questão de segurança)

Sobre o IIS é piada falar né :)
não há como trabalhar em c

0
01/03/2004 7:33am
(~12 anos atrás)
Cléver Anjos respondeu:
Não sou um fã incondicional do IIS, mas para mim tem funcionado perfeitamente na minha máquina de desenvolvimento, alem de ser mais facil de instalar o PHP (o installer já o faz automaticamente)


0
02/03/2004 9:44am
(~12 anos atrás)
Tiago Seibel respondeu:
Olá Pessoal...

Realmente o PHP4 como modulo (dll), no ISS, funciona muito bem e pode ser considerado muito seguro.

Outra boa, é usar o Apache 2, com o modulo PHP4, php4apache.dll, tambem aumenta o desempenho consideravelmente. e fico com esta Opção pois o Apache é Free... e tem se adequado as minhas necessidades.

Uma coisa que não se pode nem pensar é instalar o PHP4 CGI, no windows, quando se trata de um servidor publico com varios acessos simultaneos, pois vai ficar muito lento, pois cada pagina interpretada irá gerar um novo processo...

0
02/03/2004 11:37pm
(~12 anos atrás)
mas php4apache.dll não seria o módulo pro apache 1.x? Tem outro pro apache2 ..

0
07/05/2005 9:02pm
(~11 anos atrás)
fccd respondeu:
Se voce instalar o php com o modulo isapi no IIS é super 10, não perdendo nada para o Apache!!!
Apesar que se você fizer a instalação no Apache 2 no mesmo modulo também fica super 10 !!!
Então vai da pessoa para a pessoa!!!
Eu uso IIS e nunca tive problema e funciona tudo certinho. Mas quando era o windows 98 eu usava o apache 1 que é super 10 também.
Valeus...



Nova Resposta:

(Você pode usar tags como <b>, <i> ou <code>. URLs serão convertidas para links automaticamente.)